Upgrading from phpbb 3.0.14

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
koraldon
Registered User
Posts: 526
Joined: Sat Jun 30, 2007 12:42 pm

Upgrading from phpbb 3.0.14

Post by koraldon »

Hi,
I plan to help a friend update his medium size board (~400K posts) from 3.0.14 to 3.2.
Is it better to go directly to 3.2, or go via 3.1 first?
This is a modded board, can I just use the upload new version files and click database update, or do I need to remove stuff from the DB? If yes, how can I check what was modified? My friend had some mods added by another friend - so he is not sure what is installed... :(

User avatar
david63
Registered User
Posts: 17755
Joined: Thu Dec 19, 2002 8:08 am
Location: Lancashire, UK
Contact:

Re: Upgrading from phpbb 3.0.14

Post by david63 »

There is little point going to 3.1 first as the process is identical - just go straight to 3.2, when it is released.

You will need to remove anything that has been added to the database before you start the upgrade procedure which should be able to be done using the STK for phpBB 3.0

Bear in mind that all MODs will be lost when you upgrade as will any customised styles.
David
Remember: You only know what you know and - you don't know what you don't know!
My CDB Contributions | How to install an extension
I will not be accepting translations for any of my extensions in Github - please post any translations in the appropriate topic.
No support requests via PM or email as they will be ignored

User avatar
Lumpy Burgertushie
Registered User
Posts: 67733
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Upgrading from phpbb 3.0.14

Post by Lumpy Burgertushie »

Upgrading from phpbb 3.0.x to phpbb 3.2.x
  • Your server must be running at least PHP 5.4
  • MODs for 3.0.x are incompatible with 3.2.x and their functionality will be removed in the update process.
  • Styles for 3.0.x cannot be installed or used on 3.2.x.
  1. Backup up your board's files and database
  2. Download the Support Toolkit. Install it and run the database cleaner to remove all old MODs from the database.
  3. Deactivate all styles except for prosilver
  4. Ensure that the activated spambot countermeasure is one of the standard phpBB plugins (Simple image, GD image, GD 3D image, Q&A, reCaptacha).
  5. Set British English as the only language pack
  6. Delete all of your phpBB 3.0.x files EXCEPT for the following:
    • The config.php file
    • The /images/ directory
    • The /files/ directory
  7. Download the 3.2.x Full Package to your computer and unzip it.
  8. Delete the blank config.php file from it. (Note: you don't want to overwrite your original config.php file)
  9. Upload all the remaining files/folders to your server where your old board was.
  10. Browse to yourdomain.com/yourphpbb/install/ then click the update tab. Click update. This could take a long time on a large board, maybe hours. Dont give up.Keep clicking the continue button until you get a success message.
  11. Delete the folder named /install/
  12. Hold one foot in the air and spin around in a circle three times saying "I am a phpbb guru".
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

If nobody is in the forest, does a tree really fall?

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 51348
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: Upgrading from phpbb 3.0.14

Post by stevemaury »

3.2 should not be used on a live board until it is released.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. I can upgrade or update your Board. PM or email me. (Paid support)

koraldon
Registered User
Posts: 526
Joined: Sat Jun 30, 2007 12:42 pm

Re: Upgrading from phpbb 3.0.14

Post by koraldon »

stevemaury wrote:
Sun Jan 01, 2017 6:13 pm
3.2 should not be used on a live board until it is released.
That's given
So the update process from 3.0 to 3.2 will be tested and proven with gold release?
I just worried as I was not sure how much testing was performed on that upgrade path.

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 51348
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: Upgrading from phpbb 3.0.14

Post by stevemaury »

It is not so much the upgrade process as that there could be changes prior to release. Also, there is no support for RCs being used on a live board.

EDIT - I am incorrect. There is support for RCs. I guess I was thinking of betas. Sorry.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. I can upgrade or update your Board. PM or email me. (Paid support)

User avatar
Lumpy Burgertushie
Registered User
Posts: 67733
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Upgrading from phpbb 3.0.14

Post by Lumpy Burgertushie »

my post was assuming that you were going to wait until final was released before doing this.

that is a proven update process for phpbb in general.
the only difference for 3.2 is that you no longer have to go to the database_update.php file, you just click on the update tab on the page you get when you access the install folder.


robert
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

If nobody is in the forest, does a tree really fall?

Ali_Saad_Ali
Registered User
Posts: 6
Joined: Sun Apr 02, 2017 3:14 am

Re: Upgrading from phpbb 3.0.14

Post by Ali_Saad_Ali »

hello
my forum is 3.0.14
I did all the steps above but when I try to install it gives me this msg

Code: Select all

Fatal error: Uncaught exception 'Twig_Error_Loader' with message 'Unable to find template "message_body.html" (looked into: /home/ali/public_html/community/styles/all/template).' in /home/ali/public_html/community/vendor/twig/twig/lib/Twig/Loader/Filesystem.php:215 Stack trace: #0 /home/ali/public_html/community/phpbb/template/twig/loader.php(135): Twig_Loader_Filesystem->findTemplate('message_body.ht...') #1 /home/ali/public_html/community/vendor/twig/twig/lib/Twig/Loader/Filesystem.php(139): phpbb\template\twig\loader->findTemplate('message_body.ht...') #2 /home/ali/public_html/community/vendor/twig/twig/lib/Twig/Environment.php(312): Twig_Loader_Filesystem->getCacheKey('message_body.ht...') #3 /home/ali/public_html/community/vendor/twig/twig/lib/Twig/Environment.php(378): Twig_Environment->getTemplateClass('message_body.ht...', NULL) #4 /home/ali/public_html/community/phpbb/template/twig/environment.php(243): Twig_Environment->loadTemplate('message_body.ht...', NULL) #5 /home/ali/public_html/community/vendor/twig/twig/ in /home/ali/public_html/community/vendor/twig/twig/lib/Twig/Loader/Filesystem.php on line 215

User avatar
Mick
Support Team Member
Support Team Member
Posts: 22431
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: Upgrading from phpbb 3.0.14

Post by Mick »

Ali_Saad_Ali wrote:
Tue Apr 04, 2017 2:47 am
my forum is 3.0.14
I did all the steps above but when I try to install it gives me this msg
Please stick to your own topic here.
"The more connected we get the more alone we become" - Kyle Broflovski©

bandbsat
Registered User
Posts: 23
Joined: Tue Sep 20, 2011 12:56 pm

Re: Upgrading from phpbb 3.0.14

Post by bandbsat »

.


Hi to all !

..I'm stopping to an update step from 3.0.14 to 3.2.2 latest stable release
All ok till database update ( running /install ) , It works fine till about 70% then got this message
The installer has detected a timeout, you may try to refresh the page, which may lead to data corruption. We suggest that you either increase your timeout settings or try to use the CLI.
The Board run on a shared server running php 5.6 I had a chat with the support and this is what they answered :
timeout limit can not be altered or increased you have to modify the script
so cant go ahead ..

any suggest ??

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 51348
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: Upgrading from phpbb 3.0.14

Post by stevemaury »

Make sure your config.php file references mysqli and NOT mysql. Edit if necessary.

Also notice the provisions here - https://www.phpbb.com/support/docs/en/3 ... /upgrade3/ - regarding cleaning the 3.0.x database.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. I can upgrade or update your Board. PM or email me. (Paid support)

bandbsat
Registered User
Posts: 23
Joined: Tue Sep 20, 2011 12:56 pm

Re: Upgrading from phpbb 3.0.14

Post by bandbsat »

stevemaury wrote:
Tue Mar 06, 2018 6:49 pm
Make sure your config.php file references mysqli and NOT mysql. Edit if necessary.

Also notice the provisions here - https://www.phpbb.com/support/docs/en/3 ... /upgrade3/ - regarding cleaning the 3.0.x database.
Thanks for your quick reply
but just fixed following here :

viewtopic.php?f=556&t=2453611

maybe there was the error looping the update

board:

Code: Select all

http://bandbsat.com/forum

1024KBUser
Registered User
Posts: 49
Joined: Mon Dec 23, 2013 1:18 pm

Re: Upgrading from phpbb 3.0.14

Post by 1024KBUser »

You could also try install XAMPP on your local PC and download phpbb 3.0.14 and install it. Import your SQL database.

Then you wont run into any timeout issues and can clean the database of MODs using STK.

I just updated my board from 3.0.14 -> 3.2.2 this way. Its easy.

Post Reply

Return to “[3.2.x] Support Forum”